Bug 1044857 - (CVE-2013-6836) CVE-2013-6836 gnumeric: heap-based buffer overflow in ms_escher_get_data function
CVE-2013-6836 gnumeric: heap-based buffer overflow in ms_escher_get_data func...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20131120,reported=2...
: Security
Depends On: 1044859 1044858
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-19 01:30 EST by Ratul Gupta
Modified: 2016-03-04 06:03 EST (History)
2 users (show)

See Also:
Fixed In Version: gnumeric 1.12.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:45:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-12-19 01:30:55 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-6836 to the following vulnerability:

Name: CVE-2013-6836
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6836
Assigned: 20131120
Reference: https://bugzilla.gnome.org/show_bug.cgi?id=712772
Reference: https://git.gnome.org/browse/gnumeric/commit/?id=b5480b69345b3c6d56ee0ed9c9e9880bb2a08cdc
Reference: https://projects.gnome.org/gnumeric/announcements/1.12/gnumeric-1.12.9.shtml

Heap-based buffer overflow in the ms_escher_get_data function in plugins/excel/ms-escher.c in GNOME Office Gnumeric before 1.12.9 allows remote attackers to cause a denial of service (crash) via a crafted xls file with a crafted length value.
Comment 1 Ratul Gupta 2013-12-19 01:32:08 EST
Created gnumeric tracking bugs for this issue:

Affects: fedora-all [bug 1044858]
Affects: epel-all [bug 1044859]

Note You need to log in before you can comment on or make changes to this bug.